# Uses of Enum Class
com.sun.source.doctree.DocTree.Kind

Packages that use DocTree.Kind
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).

## Uses of DocTree.Kind in com.sun.source.doctree

Methods in com.sun.source.doctree that return DocTree.Kind
Modifier and Type
Method
Description
`DocTree.Kind`
DocTree.`getKind()`
Returns the kind of this tree.
`static DocTree.Kind`
DocTree.Kind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DocTree.Kind[]`
DocTree.Kind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.